'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.preRenders = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _redux = require('redux');

var _reactRedux = require('react-redux');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const preRendersFn = (req, routeComponent, state) => {
  const ignoreMiddleware = store => next => action => {
    next({ type: 'ToIgnore' });
  };
  const store = (0, _redux.createStore)(s => s, state, (0, _redux.applyMiddleware)(ignoreMiddleware));
  return _react2.default.createElement(
    _reactRedux.Provider,
    { store: store },
    routeComponent
  );
};

const preRenders = {
  fn: preRendersFn
};

exports.preRenders = preRenders;
//# sourceMappingURL=react-redux.js.map